Package org.silverpeas.components.whitepages.filters

# Class LoginFilter

java.lang.Object
org.silverpeas.components.whitepages.filters.LoginFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`

public class LoginFilter extends Object implements jakarta.servlet.Filter
Ce filtre a pour effet de contrôler que l'utilisateur courant n'a pas une fiche à remplir dans une instance de whitePages. Si c'est le cas, 2 attributs sont mis en sessions :

- RedirectToComponentId : avec le componentId de l'instance pour que le mécanisme de redirection le renvoie sur le composant
- FicheNonRemplie : avec le componentId de l'instance pour que le filtre mappé sur tous les routers des composants puisse intercepter au besoin et renvoyer sur la fiche.

Author:
  Ludovic Bertin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTRIBUTE_COMPONENT_ID`
  `static final String`
  `ATTRIBUTE_FORCE_CARD_CREATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface jakarta.servlet.Filter

  `destroy, init`

- ## Field Details

  - ### ATTRIBUTE_FORCE_CARD_CREATION

    public static final String ATTRIBUTE_FORCE_CARD_CREATION
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_COMPONENT_ID

    public static final String ATTRIBUTE_COMPONENT_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LoginFilter

    public LoginFilter()

- ## Method Details

  - ### doFilter

    public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException
    Specified by:
      `doFilter` in interface `jakarta.servlet.Filter`
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`